Splunk® Products Version Compatibility

Splunk Products Version Compatibility Matrix

Download manual as PDF

Download topic as PDF

Splunk products version compatibility matrix

This information was updated on August 29, 2019.

The tables in this topic list versions of Splunk Enterprise and their compatible versions of Splunk products for customer-deployed environments. For the support status of these Splunk products, see the Splunk Software Support Policy.

For compatibility between forwarders and Splunk Enterprise versions, see Compatibility between forwarders and Splunk Enterprise indexers.

For compatibility between Splunk Enterprise and other Splunk apps and add-ons, see the specific app or add-on page on Splunkbase.

For instructions about upgrading Splunk Enterprise to 7.3, see How to upgrade Splunk Enterprise and About upgrading to 7.3 READ THIS FIRST in the Splunk Enterprise Installation Manual.

For information about Splunk Cloud version compatibility, see the Splunk Cloud Service Description.

Splunk Enterprise version 7.x

Splunk Enterprise Splunk Enterprise Security (ES) Splunk IT Service Intelligence (ITSI)
7.3.1

5.3.1, 5.3.0

4.3.1, 4.3.0
4.2.3, 4.2.2, 4.2.1, 4.2.0

7.3.0

5.3.1, 5.3.0

4.3.1, 4.3.0
4.2.3, 4.2.2, 4.2.1, 4.2.0

7.2.8

5.3.1, 5.3.0
5.2.2, 5.2.1, 5.2.0
5.1.1

4.3.1*, 4.3.0*
4.2.3*, 4.2.2*, 4.2.1*, 4.2.0*
4.1.5*, 4.1.2*, 4.1.1*, 4.1.0*
4.0.4*, 4.0.3*, 4.0.2*, 4.0.1*, 4.0.0*
*Requires workaround. See Splunk Enterprise system requirements for ITSI.

7.2.7

5.3.1, 5.3.0
5.2.2, 5.2.1, 5.2.0
5.1.1

4.3.1*, 4.3.0*
4.2.3*, 4.2.2*, 4.2.1*, 4.2.0*
4.1.5*, 4.1.2*, 4.1.1*, 4.1.0*
4.0.4*, 4.0.3*, 4.0.2*, 4.0.1*, 4.0.0*
*Requires workaround. See Splunk Enterprise system requirements for ITSI.

7.2.6

5.3.1, 5.3.0
5.2.2, 5.2.1, 5.2.0
5.1.1

4.3.1*, 4.3.0*
4.2.3*, 4.2.2*, 4.2.1*, 4.2.0*
4.1.5*, 4.1.2*, 4.1.1*, 4.1.0*
4.0.4*, 4.0.3*, 4.0.2*, 4.0.1*, 4.0.0*
*Requires workaround. See Splunk Enterprise system requirements for ITSI.

7.2.5

5.3.1, 5.3.0
5.2.2, 5.2.1, 5.2.0
5.1.1

4.3.1*, 4.3.0*
4.2.3*, 4.2.2*, 4.2.1*, 4.2.0*
4.1.5*, 4.1.2*, 4.1.1*, 4.1.0*
4.0.4*, 4.0.3*, 4.0.2*, 4.0.1*, 4.0.0*
*Requires workaround. See Splunk Enterprise system requirements for ITSI.

7.2.4

5.3.1, 5.3.0
5.2.2, 5.2.1, 5.2.0
5.1.1

On-prem only, NOT Splunk Cloud
4.3.1*, 4.3.0*
4.2.3*, 4.2.2*, 4.2.1*, 4.2.0*
4.1.5*, 4.1.2*, 4.1.1*, 4.1.0*
4.0.4*, 4.0.3*, 4.0.2*, 4.0.1*, 4.0.0*
*Requires workaround. See Splunk Enterprise system requirements for ITSI.

7.2.3

5.3.1, 5.3.0
5.2.2, 5.2.1, 5.2.0
5.1.1

Not compatible

7.2.2

5.2.1, 5.3.0
5.2.2, 5.2.1, 5.2.0
5.1.1

Not compatible

7.2.1

5.2.2, 5.2.1, 5.2.0
5.1.1

Not compatible

7.2.0

5.2.2, 5.2.1, 5.2.0
5.1.1

Not compatible

7.1.x

5.3.1*, 5.3.0*
5.2.2*, 5.2.1*, 5.2.0*
5.1.1*, 5.1.0*
*Requires workaround. See Splunk Enterprise system requirement for ES.

4.3.1*, 4.3.0*
4.2.2*, 4.2.1*, 4.2.0*
4.1.5*, 4.1.2*, 4.1.1*, 4.1.0*
4.0.4*, 4.0.3*, 4.0.2*, 4.0.1*, 4.0.0*
3.1.4, 3.1.3, 3.1.2, 3.1.1, 3.1.0
*Requires workaround. See Splunk Enterprise system requirements for ITSI.

7.0.x

5.0.1, 5.0.0
4.7.6, 4.7.5, 4.7.4, 4.7.3, 4.7.2

4.1.5*, 4.1.2*, 4.1.1*, 4.1.0*
4.0.4*, 4.0.3*, 4.0.2*, 4.0.1*, 4.0.0*
3.1.4, 3.1.3, 3.1.2, 3.1.1, 3.1.0
3.0.2, 3.0.1, 3.0.0
*Workaround required for version 7.0.5. See Splunk Enterprise system requirement for ITSI.

Splunk Enterprise version 6.x

For instructions about upgrading Splunk Enterprise to 6.6, see How to upgrade Splunk Enterprise and About upgrading to 6.6 READ THIS FIRST in the Splunk Enterprise Installation Manual.

Splunk Enterprise Splunk Enterprise Security (ES) Splunk IT Service Intelligence (ITSI)
6.6.x

5.0.1, 5.0.0
4.7.6, 4.7.5, 4.7.4, 4.7.3, 4.7.2, 4.7.1, 4.7.0

3.1.4, 3.1.3, 3.1.2, 3.1.1, 3.1.0
3.0.2, 3.0.1, 3.0.0

6.5.x

4.7.6, 4.7.5, 4.7.4, 4.7.3, 4.7.2, 4.7.1, 4.7.0
4.6.0 (Cloud only)
4.5.3, 4.5.2, 4.5.1, 4.5.0 (all need 6.4.4+)
4.2.2, 4.2.1 (Cloud only)
4.0.5, 4.0.4
4.1.3, 4.1.2

3.0.2, 3.0.1, 3.0.0
2.6.1, 2.6.0
2.5.2, 2.5.1, 2.5.0 (Cloud only)
2.4.1, 2.4.0

6.4.x

4.5.3, 4.5.2, 4.5.1, 4.5.0 (all need 6.4.4+)
4.2.2, 4.2.1, 4.2.0 (Cloud only)
4.1.3, 4.1.2, 4.1.1, 4.1.0
4.0.5, 4.0.4, 4.0.3
3.3.3

Compatible versions on search heads:
2.4.1, 2.4.0
2.3.0 (Cloud only)
2.2.2, 2.2.1, 2.2.0 (SHC needs 6.4.1+)
Compatible versions on indexers:
3.0.2, 3.0.1, 3.0.0
2.6.1, 2.6.0
2.5.2, 2.5.1, 2.5.0
2.4.1, 2.4.0
2.3.0
2.2.2, 2.2.1, 2.2.0

6.3.x

4.1.3, 4.1.2, 4.1.1, 4.1.0
(4.1.2, 4.1.1, 4.1.0 need 6.3.3+)
4.0.5, 4.0.4, 4.0.3, 4.0.2, 4.0.1, 4.0.0
3.3.3, 3.3.2, 3.3.1, 3.3.0
3.2.2, 3.2.1, 3.2.0

Compatible versions on search heads:
2.2.2, 2.2.1, 2.2.0
2.1.0
2.0.0
Compatible versions on indexers:
2.4.1, 2.4.0
2.3.0 (Cloud only)
2.2.2, 2.2.1, 2.2.0

6.2.x

3.3.2, 3.3.1, 3.3.0 (all need 6.2.3)
3.2.2, 3.2.1 (both need 6.2.1), 3.2.0 (needs 6.2)
3.1.1, 3.1.0

Compatible versions on search heads:
1.2.0 (needs 6.2.3+)
1.1.0 (needs 6.2.3+)
1.0.0 (needs 6.2.2+)
Compatible versions on indexers (all need 6.2.5):
2.2.2, 2.2.1, 2.2.0
2.1.0
2.0.0

6.1.x

3.1.1, 3.1.0 (both need 6.1.3)
3.0.1, 3.0.0

Not applicable
6.0.x

3.0.1 (needs 6.0.2+)
3.0.0 (needs 6.0.1+)

Not applicable
  NEXT
Compatibility between forwarders and Splunk Enterprise indexers

This documentation applies to the following versions of Splunk® Products Version Compatibility: current


Was this documentation topic helpful?

Enter your email address, and someone from the documentation team will respond to you:

Please provide your comments here. Ask a question or make a suggestion.

You must be logged into splunk.com in order to post comments. Log in now.

Please try to keep this discussion focused on the content covered in this documentation topic. If you have a more general question about Splunk functionality or are experiencing a difficulty with Splunk, consider posting a question to Splunkbase Answers.

0 out of 1000 Characters